// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.bulkeditor;

import java.util.Comparator;

import eu.etaxonomy.cdm.api.service.config.IIdentifiableEntityServiceConfigurator;

/**
 * @author p.ciardelli
 * @created 19.08.2009
 * @version 1.0
 */
public interface IBulkEditorQuery {

	String getSearchString();
	
	IIdentifiableEntityServiceConfigurator getSearchConfigurator();
	
	Comparator getComparator();
}
