// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.forms;

import org.apache.log4j.Logger;
import org.eclipse.jface.util.PropertyChangeEvent;

/**
 * @author n.hoffmann
 * @created Feb 24, 2010
 * @version 1.0
 */
public class CdmPropertyChangeEvent extends PropertyChangeEvent {
	/**
	 * 
	 */
	private static final long serialVersionUID = -1010152430827799277L;

	private Object originatingEvent;

	public Object getOriginatingEvent() {
		return originatingEvent;
	}

	private static final Logger logger = Logger
			.getLogger(CdmPropertyChangeEvent.class);
	
	public CdmPropertyChangeEvent(Object eventObject, Object originatingEvent) {
		super(eventObject, "EMPTY", null, null);
		this.originatingEvent = originatingEvent;
	}
}
