// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.section.description.detail;

import org.apache.log4j.Logger;

import eu.etaxonomy.cdm.model.description.DescriptionElementBase;
import eu.etaxonomy.taxeditor.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.forms.ICdmFormElement;
import eu.etaxonomy.taxeditor.section.AbstractCdmDetailElement;

/**
 * @author n.hoffmann
 * @created Jun 10, 2010
 * @version 1.0
 */
public abstract class AbstractDetailedDescriptionDetailElement<T extends DescriptionElementBase> extends AbstractCdmDetailElement<T>{

	private static final Logger logger = Logger
			.getLogger(AbstractDetailedDescriptionDetailElement.class);
	
	public AbstractDetailedDescriptionDetailElement(CdmFormFactory formFactory,
			ICdmFormElement formElement, T entity, int style) {
		super(formFactory, formElement);
		setEntity(entity);
	}
}
