// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.wizard;

import org.apache.log4j.Logger;
import org.eclipse.jface.wizard.Wizard;

import eu.etaxonomy.cdm.model.taxon.TaxonomicTree;

/**
 * @author n.hoffmann
 * @created Jul 12, 2010
 * @version 1.0
 */
public class EditClassificationWizard extends Wizard {
	private static final Logger logger = Logger
			.getLogger(EditClassificationWizard.class);
	private TaxonomicTree classification;

	public EditClassificationWizard(TaxonomicTree classification){
		this.classification = classification;
	}
	
	/* (non-Javadoc)
	 * @see org.eclipse.jface.wizard.Wizard#performFinish()
	 */
	@Override
	public boolean performFinish() {
		return false;
	}
	
	@Override
	public void addPages() {
		
		super.addPages();
				
		addPage(new ClassificationWizardPage(classification));
		
	}
}
