/**
 * 
 */
package eu.etaxonomy.taxeditor.editor;

import org.eclipse.swt.widgets.Composite;

import eu.etaxonomy.taxeditor.editor.name.TaxonNameEditor;
import eu.etaxonomy.taxeditor.operations.IPostOperationEnabled;

/**
 * @author n.hoffmann
 *
 */
public interface IDropTargetable extends IPostOperationEnabled {

	public Composite getControl();
	
	public TaxonNameEditor getNameEditor();

	public void dragEntered();

	public void dragLeft();
}
