/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.editor.handler;

import org.apache.log4j.Logger;
import org.eclipse.core.commands.AbstractHandler;
import org.eclipse.core.commands.ExecutionEvent;
import org.eclipse.core.commands.ExecutionException;
import org.eclipse.core.commands.IHandler;
import org.eclipse.swt.widgets.Display;
import org.eclipse.ui.PartInitException;

import eu.etaxonomy.taxeditor.editor.EditorUtil;

/**
 * @author n.hoffmann
 * @created 06.02.2009
 * @version 1.0
 */
public class EditNewTaxonHandler extends AbstractHandler implements IHandler {
	private static final Logger logger = Logger
			.getLogger(EditNewTaxonHandler.class);

	/* (non-Javadoc)
	 * @see org.eclipse.core.commands.IHandler#execute(org.eclipse.core.commands.ExecutionEvent)
	 */
	public Object execute(ExecutionEvent event) throws ExecutionException {
		
		logger.debug("Handler called: " + this.getClass().getCanonicalName());
		
		try {
			EditorUtil.openEmpty(null);
		} catch (PartInitException e) {
			e.printStackTrace();
		}

		return null;
	}
}
