
package eu.etaxonomy.taxeditor.editor.view.media;

import org.apache.log4j.Logger;
import org.eclipse.jface.viewers.ColumnLabelProvider;

import eu.etaxonomy.cdm.model.common.IdentifiableEntity;

public class MediaLabelProvider extends ColumnLabelProvider {
	private static final Logger logger = Logger
			.getLogger(MediaLabelProvider.class);
	
	public String getText(Object element) {
		if(element instanceof IdentifiableEntity){
			return ((IdentifiableEntity) element).getTitleCache();
		}
		
		return element.toString();
	}
}
