// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.forms;


/**
 * @author n.hoffmann
 * @created Mar 10, 2010
 * @version 1.0
 */
public interface IEnableableFormElement extends IRelevantFormElement {

	/**
	 * Sets composites of this element to the given enablement state.
	 * 
	 * @param enabled
	 */
	public abstract void setEnabled(boolean enabled);
}
