/**
 * 
 */
package eu.etaxonomy.taxeditor.forms.selection;

import org.eclipse.swt.events.SelectionEvent;

import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
import eu.etaxonomy.cdm.model.name.TaxonNameBase;
import eu.etaxonomy.taxeditor.dialogs.filteredSelection.FilteredNameSelectionDialog;
import eu.etaxonomy.taxeditor.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.forms.ICdmFormElement;

/**
 * @author nho
 *
 */
public class NameSelectionElement extends AbstractSelectionElement<TaxonNameBase> {

	/**
	 * @param parent
	 * @param labelString
	 * @param selection
	 * @param style
	 */
	public NameSelectionElement(CdmFormFactory toolkit, ConversationHolder conversation, ICdmFormElement parentElement, String labelString,
			TaxonNameBase selection, int style) {
		super(toolkit, conversation, parentElement, labelString, selection, true, true, true, style);
	}

	/* (non-Javadoc)
	 * @see org.eclipse.swt.events.SelectionListener#widgetSelected(org.eclipse.swt.events.SelectionEvent)
	 */
	public void widgetSelected(SelectionEvent e) {
		TaxonNameBase newSelection = FilteredNameSelectionDialog.selectName(getShell(), getConversationHolder(), entity);
		setSelectionInternal(newSelection);
	}

}
