/**
 * 
 */
package eu.etaxonomy.taxeditor.forms.selection;

import org.eclipse.swt.events.SelectionEvent;

import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
import eu.etaxonomy.cdm.model.taxon.TaxonBase;
import eu.etaxonomy.taxeditor.dialogs.filteredSelection.FilteredTaxonSelectionDialog;
import eu.etaxonomy.taxeditor.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.forms.ICdmFormElement;

/**
 * @author nho
 *
 */
public class TaxonSelectionElement extends AbstractSelectionElement<TaxonBase> {

	/**
	 * @param parent
	 * @param labelString
	 * @param selection
	 * @param style
	 */
	public TaxonSelectionElement(CdmFormFactory toolkit, ConversationHolder conversation, ICdmFormElement parentElement, String labelString,
			TaxonBase selection, int style) {
		super(toolkit, conversation, parentElement, labelString, selection, true, true, true, style);	}

	/* (non-Javadoc)
	 * @see org.eclipse.swt.events.SelectionListener#widgetSelected(org.eclipse.swt.events.SelectionEvent)
	 */
	public void widgetSelected(SelectionEvent e) {
		TaxonBase newSelection = FilteredTaxonSelectionDialog.selectTaxon(getShell(), getConversationHolder());
		setSelectionInternal(newSelection);
	}

}
