// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.navigation.navigator;

import java.util.ArrayList;
import java.util.List;

import eu.etaxonomy.cdm.model.taxon.TaxonomicTree;

/**
 * @author n.hoffmann
 * @created Mar 23, 2010
 * @version 1.0
 */
public class EmptyRoot extends Root {

	public EmptyRoot() {
		super(null);
	}
	
	public List<TaxonomicTree> getParentBeans() {
		return new ArrayList<TaxonomicTree>();
	}
	
}
