// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.io;

import org.apache.log4j.Logger;

import eu.etaxonomy.cdm.api.application.CdmApplicationController;

/**
 * @author n.hoffmann
 * @created Sep 11, 2009
 * @version 1.0
 */
public abstract class AbstractIOHandler {
	private static final Logger logger = Logger
			.getLogger(AbstractIOHandler.class);
	
	protected CdmApplicationController applicationController;
	
	public static enum TYPE {
		BerlinModel, Jaxb, Tcs, Excel_Taxa, Endnote, Sdd, Abcd
	}

	protected AbstractIOHandler(CdmApplicationController applicationController){
		this.applicationController = applicationController;
	}
	
}
