// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.newWizards;

import org.apache.log4j.Logger;
import org.eclipse.jface.viewers.IStructuredSelection;
import org.eclipse.jface.wizard.Wizard;
import org.eclipse.ui.INewWizard;
import org.eclipse.ui.IWorkbench;

import eu.etaxonomy.cdm.model.name.NonViralName;

/**
 * @author n.hoffmann
 * @created Apr 16, 2010
 * @version 1.0
 */
public class NewNameWizard extends Wizard implements INewWizard {
	private static final Logger logger = Logger.getLogger(NewNameWizard.class);

	public static final String NEW_NAME = "NEW_NAME";

	private NewNameWizardPage page;
	
	public NewNameWizard(){
		setWindowTitle("New Scientific Name");
	}
	
	/*
	 * (non-Javadoc)
	 * @see org.eclipse.jface.wizard.Wizard#addPages()
	 */
	@Override
	public void addPages() {
		page = new NewNameWizardPage(NEW_NAME);
		
		addPage(page);
	}
	
	/* (non-Javadoc)
	 * @see org.eclipse.jface.wizard.Wizard#performFinish()
	 */
	@Override
	public boolean performFinish() {
		
		// TODO
		
		return false;
	}

	public void init(IWorkbench workbench, IStructuredSelection selection) {
		
	}
	
	public NonViralName getName() {
		return null;
	}
}
