// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.preference.menu;

import java.util.Set;

import org.apache.log4j.Logger;

import eu.etaxonomy.cdm.model.location.NamedAreaType;
import eu.etaxonomy.taxeditor.store.VocabularyStore;

/**
 * @author n.hoffmann
 * @created May 11, 2010
 * @version 1.0
 */
public class NamedAreaTypeMenuPreferences extends AbstractMenuPreferences<NamedAreaType> {

	private static final Logger logger = Logger
			.getLogger(NamedAreaTypeMenuPreferences.class);
	
	public NamedAreaTypeMenuPreferences() {
		super(VocabularyStore.getNamedAreaTypes(), 
				"Named Area Types", 
				"Edit displayed named area types", 
				true);
	}
}