// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.preference.menu;

import org.apache.log4j.Logger;

import eu.etaxonomy.cdm.model.occurrence.PreservationMethod;
import eu.etaxonomy.taxeditor.store.VocabularyStore;

/**
 * @author n.hoffmann
 * @created Jun 25, 2010
 * @version 1.0
 */
public class PreservationMethodMenuPreferences extends AbstractMenuPreferences<PreservationMethod> {
	
	private static final Logger logger = Logger
			.getLogger(PreservationMethodMenuPreferences.class);
	
	public PreservationMethodMenuPreferences() {
		super(VocabularyStore.getPreservationMethods(), 
				"Preservation Method Preferences", 
				"Select preservation methods to be shown in selections", 
				false);
	}
}
