/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.store;


import java.util.Set;

import org.junit.Assert;
import org.junit.BeforeClass;
import org.junit.Ignore;
import org.junit.Test;

import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
import eu.etaxonomy.cdm.model.taxon.TaxonRelationshipType;

/**
 * @author n.hoffmann
 * @created 17.03.2009
 * @version 1.0
 */
//@Transactional(TransactionMode.DISABLED)
public class CdmStoreTest /*extends CdmIntegrationTest */{

//	@SpringBeanByType
	private static CdmStore cdmStore;// = CdmStore.getDefault();
	
	private static ConversationHolder conversation;
	
	/**
	 * @throws java.lang.Exception
	 */
	@BeforeClass
	public static void setUp() throws Exception {
		cdmStore = CdmStore.getDefault();
		conversation = CdmStore.createConversation();
	}
	
	/**
	 * 
	 */
	@Test
	//@DataSet("CdmStoreTest.xml")
	@Ignore
	public void testExistenceOfConversation(){
		Assert.assertNotNull(conversation);
	}
	
	@Test
	//@DataSet("CdmStoreTest.xml")
	@Ignore
	public void testGetTaxonomicTrees(){

	}
	
	/**
	 * 
	 */
	@Test
	//@DataSet("CdmStoreTest.xml")
	@Ignore
	public void testGetConceptRelationshipTypes(){
		conversation.bind();
		Set<TaxonRelationshipType> conceptRelationshipTypes = VocabularyStore.getTaxonRelationshipTypes();
		Assert.assertNotNull(conceptRelationshipTypes);
	}
}
